/* Copyright 2022 tsubuan145
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#include "quantum.h"

#ifdef OLED_ENABLE

oled_rotation_t oled_init_kb(oled_rotation_t rotation) {
    return OLED_ROTATION_180;
}

bool oled_task_kb(void) {

    if (!oled_task_user()) { return false; }

    oled_write_P(PSTR("Layer:"), false);
    oled_write_ln(get_u8_str(get_highest_layer(layer_state), ' '), false);

    static const char PROGMEM my_logo[] = {

     
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 
    0xe0, 0xf0, 0xf8, 0xfc, 0xfc, 0xfc, 0xf8, 0xf0, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xf8, 0xfe, 0xff, 
    0xff, 0xfe, 0x7c, 0x7c, 0xfe, 0xff, 0xff, 0xfe, 0xf8, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0xfc, 0xfe, 0xff, 0xff, 0xff, 0xff, 0x3f, 0x3f, 0xff, 0xfe, 0xfe, 0xff, 0x3f, 0x3f, 0xff, 
    0xff, 0xfe, 0xfc, 0xf8, 0x00, 0xe0, 0xf0, 0xfc, 0xfe, 0xff, 0xff, 0xcf, 0xcf, 0xcf, 0xcf, 0xff, 
    0xfe, 0xfc, 0xf8, 0x00, 0xf0, 0xf8, 0xfc, 0xfe, 0xfe, 0xff, 0x7f, 0x3f, 0x7f, 0xff, 0xfe, 0xfe, 
    0xfc, 0xf8, 0xf0, 0x00, 0x3c, 0xfe, 0xff, 0xff, 0xfe, 0xfc, 0xf8, 0xfc, 0xff, 0xff, 0xff, 0xff, 
    0xfe, 0xfc, 0xf8, 0xfe, 0xff, 0xff, 0xff, 0xff, 0x00, 0x80, 0xe0, 0xf8, 0xfc, 0xfe, 0xff, 0xff, 
    0xff, 0x9f, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x00, 0x80, 0xcf, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xfc, 0x78, 0x78, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xcf, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0xff, 
    0xff, 0xff, 0xff, 0x7f, 0x00, 0x0f, 0x1f, 0x7f, 0x7f, 0xff, 0xff, 0xff, 0xf9, 0xf9, 0xf9, 0xf9, 
    0xf9, 0x71, 0x00, 0x00, 0x1f, 0x3f, 0x7f, 0xff, 0xff, 0xfe, 0xfc, 0xf8, 0xfc, 0xfe, 0xff, 0xff, 
    0x7f, 0x3f, 0x1f, 0x00, 0x00, 0x0f, 0x3f, 0x7f, 0xff, 0xff, 0xff, 0x7f, 0x3f, 0x0f, 0x0f, 0x3f, 
    0x7f, 0xff, 0xff, 0xff, 0x7f, 0x3f, 0x0f, 0x01, 0x06, 0x07, 0x0f, 0x1f, 0x1f, 0x1f, 0x1f, 0x1f, 
    0x1f, 0x3f, 0x7f, 0xff, 0xff, 0xff, 0x7f, 0x3f, 0x1f, 0x0f, 0x07, 0x1f, 0x3f, 0x7f, 0x7f, 0xff, 
    0xff, 0xfc, 0xf8, 0xf8, 0xfc, 0xff, 0xff, 0x7f, 0x7f, 0x7f, 0x7f, 0x78, 0x38, 0x3e, 0x1f, 0x00
    };

    oled_write_raw_P(my_logo, sizeof(my_logo));

    return false;

}
#endif
