# Planck Rev6 Layers

```
 Dvorak
 ,-----------------------------------------------------------------------------------.
 | Tab  |   "  |   ,  |   .  |   P  |   Y  |   F  |   G  |   C  |   R  |   L  | Bksp |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Esc  |   A  |   O  |   E  |   U  |   I  |   D  |   H  |   T  |   N  |   S  |  /   |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Shift|   ;  |   Q  |   J  |   K  |   X  |   B  |   M  |   W  |   V  |   Z  |Enter |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Ctrl | Alt | Brite | GUI  |Lower |Space |Space |Raise | Left | Down |  Up  |Right |
 `-----------------------------------------------------------------------------------'

```

```
 Qwerty
 ,-----------------------------------------------------------------------------------.
 | Tab  |   Q  |   W  |   E  |   R  |   T  |   Y  |   U  |   I  |   O  |   P  | Bksp |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Esc  |   A  |   S  |   D  |   F  |   G  |   H  |   J  |   K  |   L  |   ;  |  "   |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Shift|   Z  |   X  |   C  |   V  |   B  |   N  |   M  |   ,  |   .  |   /  |Enter |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Ctrl | Alt | Brite | GUI  |Lower |Space |Space |Raise | Left | Down |  Up  |Right |
 `-----------------------------------------------------------------------------------'

```

```
 Colemak
 ,-----------------------------------------------------------------------------------.
 | Tab  |   Q  |   W  |   F  |   P  |   G  |   J  |   L  |   U  |   Y  |   ;  | Bksp |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Esc  |   A  |   R  |   S  |   T  |   D  |   H  |   N  |   E  |   I  |   O  |  "   |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Shift|   Z  |   X  |   C  |   V  |   B  |   K  |   M  |   ,  |   .  |   /  |Enter |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Ctrl | Alt | Brite | GUI  |Lower |Space |Space |Raise | Left | Down |  Up  |Right |
 `-----------------------------------------------------------------------------------'

```

```
 Lower
 ,-----------------------------------------------------------------------------------.
 |   ~  |   !  |   @  |   #  |   $  |   %  |   ^  |   &  |   *  |   (  |   )  | Bksp |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Del  |  F1  |  F2  |  F3  |  F4  |  F5  |  F6  |   _  |   +  |   {  |   }  |  |   |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 |      |  F7  |  F8  |  F9  |  F10 |  F11 |  F12 |ISO ~ |ISO | | Home | End  |      |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 |      |      |      |      |      |      |      |      | Next | Vol- | Vol+ | Play |
 `-----------------------------------------------------------------------------------'

```

```
 Raise
 ,-----------------------------------------------------------------------------------.
 |   `  |   1  |   2  |   3  |   4  |   5  |   6  |   7  |   8  |   9  |   0  | Bksp |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Del  |  F1  |  F2  |  F3  |  F4  |  F5  |  F6  |   -  |   =  |   [  |   ]  |  \   |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 |      |  F7  |  F8  |  F9  |  F10 |  F11 |  F12 |ISO # |ISO / |Pg Up |Pg Dn |      |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 |      |      |      |      |      |      |      |      | Next | Vol- | Vol+ | Play |
 `-----------------------------------------------------------------------------------'

```


```
 Adjust (Lower + Raise)
                      v------------------------RGB CONTROL--------------------v
 ,-----------------------------------------------------------------------------------.
 |      | Reset|Debug | RGB  |RGBMOD| HUE+ | HUE- | SAT+ | SAT- |BRGTH+|BRGTH-|  Del |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 |      |      |MUSmod|Aud on|Audoff|AGnorm|AGswap|Qwerty|Colemk|Dvorak|Plover|      |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 |      |Voice-|Voice+|Mus on|Musoff|MIDIon|MIDIof|      |      |      |      |      |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 |      |      |      |      |      |      |      |      |      |      |      |      |
 `-----------------------------------------------------------------------------------'

```

```
 Plover layer (http://opensteno.org)
 ,-----------------------------------------------------------------------------------.
 |   #  |   #  |   #  |   #  |   #  |   #  |   #  |   #  |   #  |   #  |   #  |   #  |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 |      |   S  |   T  |   P  |   H  |   *  |   *  |   F  |   P  |   L  |   T  |   D  |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 |      |   S  |   K  |   W  |   R  |   *  |   *  |   R  |   B  |   G  |   S  |   Z  |
 |------+------+------+------+------+------+------+------+------+------+------+------|
 | Exit |      |      |   A  |   O  |      |      |   E  |   U  |      |      |      |
 `-----------------------------------------------------------------------------------'

```
