# The default keymap for navpad 1.0 with helix (right hand side)

### Base layer
```
   ,-------------------------------. ,-------.
   | KC_PSCR  | KC_SCRL  | KC_PAUS | |KC_MUTE|
   |----------+----------+----------+-------------------------------------------------.                ,-----------------------------------------------------------------------.
   | KC_INS   | KC_HOME  | KC_PGUP  | KC_ESC   | KC_PSLS   | KC_PAST  | KC_PMNS       |                | KC_6       | KC_7     | KC_8      | KC_9      | KC_0      | KC_DEL    |
   |----------+----------+----------+----------+-----------+----------+---------------|                |------------+----------+-----------+-----------+-----------+-----------|
   | KC_DEL   | KC_END   | KC_PGDN  | KC_P7    | KC_P8     | KC_P9    | KC_PPLS       |                | KC_Y       | KC_U     | KC_I      | KC_O      | KC_P      | KC_BSPC   |
   `--------------------------------+----------+-----------+----------+---------------|                |------------+----------+-----------+-----------+-----------+-----------|
                                    | KC_P4    | KC_P5     | KC_P6    | KC_PPLS       |                | KC_H       | KC_J     | KC_K      | KC_L      | KC_SCLN   | KC_QUOT   |
   ,--------------------------------+----------+-----------+----------+---------------|  ,-------------+------------+----------+-----------+-----------+-----------+-----------|
   | S(KC_TAB)| KC_UP    | KC_TAB   | KC_P1    | KC_P2     | KC_P3    | LT(1,KC_PENT) |  | KC_RBRC     | KC_N       | KC_M     | KC_COMM   | KC_DOT    | KC_SLSH   | KC_ENT    |
   |----------+----------+----------+----------+-----------+----------+---------------|  |-------------+------------+----------+-----------+-----------+-----------+-----------|
   | KC_LEFT  | KC_DOWN  | KC_RGHT  | KC_P0    | TAP_00    | KC_PDOT  | LT(1,KC_PENT) |  | LT(1,KC_SPC)|LT(2,KC_ENT)| KC_NO    | KC_LEFT   | KC_DOWN   | KC_UP     | KC_RGHT   |
   '----------------------------------------------------------------------------------`  '-------------------------------------------------------------------------------------`
```
### FN1 layer
```
   ,-------------------------------. ,-------.
   | QK_BOOT  | EE_CLR   | KC_NO   | | KC_NO |
   |----------+----------+----------+-------------------------------------------------.                ,-----------------------------------------------------------------------.
   | KC_NO    | KC_NO    | KC_NO    | KC_NUM   | KC_QUOT   | KC_PEQL  | KC_NO         |                | KC_1       | KC_2     | KC_3      | KC_4      | KC_5      | KC_DEL    |
   `--------------------------------+----------+-----------+----------+---------------|                |------------+----------+-----------+-----------+-----------+-----------|
   | KC_CAPS  | KC_NUM   | KC_SCRL  | S(KC_9)  | KC_UP     | S(KC_0)  | S(KC_SPC)     |                | KC_Q       | KC_W     | KC_E      | KC_R      | KC_T      | KC_BSPC   |
   `--------------------------------+----------+-----------+----------+---------------|                |------------+----------+-----------+-----------+-----------+-----------|
                                    | KC_LEFT  | KC_BTN3   | KC_RGHT  | S(KC_SPC)     |                | KC_A       | KC_S     | KC_D      | KC_F      | KC_G      | KC_QUOT   |
   ,--------------------------------+----------+-----------+----------+---------------|  ,-------------+------------+----------+-----------+-----------+-----------+-----------|
   | KC_TRNS  | S(KC_ENT)| KC_TRNS  | KC_BSPC  | KC_DOWN   | KC_DEL   | KC_TRNS       |  | KC_RBRC     | KC_Z       | KC_X     | KC_C      | KC_V      | KC_B      | KC_ENT    |
   |----------+----------+----------+----------+-----------+----------+---------------|  |-------------+------------+----------+-----------+-----------+-----------+-----------|
   | KC_BTN1  | KC_ENT   |S(KC_SPC)|LT(2,KC_SPC)|KC_SPC    | KC_COMM  | KC_TRNS       |  | KC_TRNS     | KC_TRNS    | KC_NO    | KC_LEFT   | KC_DOWN   | KC_UP     | KC_RGHT   |
   '----------------------------------------------------------------------------------`  '-------------------------------------------------------------------------------------`
```
### FN2 layer
```
   ,-------------------------------. ,-------.
   | RGB_TOG  | RGB_MOD  | RGB_RMOD| | KC_NO |
   |----------+----------+----------+-------------------------------------------------.                ,-----------------------------------------------------------------------.
   | RGB_HUI  | RGB_SAI  | RGB_VAI  | KC_NO    | KC_NO     | KC_NO    | KC_NO         |                | KC_NO      | KC_NO    | KC_NO     | KC_NO     | KC_NO     | KC_NO     |
   `--------------------------------+----------+-----------+----------+---------------|                |------------+----------+-----------+-----------+-----------+-----------|
   | RGB_HUD  | RGB_SAD  | RGB_VAD  | KC_NO    | KC_NO     | KC_NO    | KC_NO         |                | KC_BSPC    | KC_DEL   | KC_NO     | KC_NO     | KC_NO     | KC_NO     |
   `--------------------------------+----------+-----------+----------+---------------|                |------------+----------+-----------+-----------+-----------+-----------|
                                    | KC_NO    | KC_NO     | KC_NO    | KC_NO         |                | KC_LEFT    | KC_DOWN  | KC_UP     | KC_RGHT   | KC_NO     | KC_NO     |
   ,--------------------------------+----------+-----------+----------+---------------|  ,-------------+------------+----------+-----------+-----------+-----------+-----------|
   | KC_NO    | KC_NO    | KC_NO    | KC_NO    | KC_NO     | KC_NO    | KC_NO         |  | KC_RBRC     | KC_HOME    | KC_PGDN  | KC_PGUP   | KC_END    | KC_NO     | KC_NO     |
   |----------+----------+----------+----------+-----------+----------+---------------|  |-------------+------------+----------+-----------+-----------+-----------+-----------|
   | KC_NO    | KC_NO    | KC_NO    | KC_NO    | KC_NO     | KC_NO    | KC_NO         |  | KC_TRNS     | KC_TRNS    | KC_NO    | KC_NO     | KC_NO     | KC_NO     | KC_NO     |
   '----------------------------------------------------------------------------------`  '-------------------------------------------------------------------------------------`
```
### FN3 layer
```
   ,-------------------------------. ,-------.
   | KC_NO    | KC_NO    | KC_NO   | | KC_NO |
   |----------+----------+----------+-------------------------------------------------.                ,-----------------------------------------------------------------------.
   | KC_NO    | KC_NO    | KC_NO    | KC_NO    | KC_NO     | KC_NO    | KC_NO         |                | KC_NO      | KC_NO    | KC_NO     | KC_NO     | KC_NO     | KC_NO     |
   `--------------------------------+----------+-----------+----------+---------------|                |------------+----------+-----------+-----------+-----------+-----------|
   | KC_NO    | KC_NO    | KC_NO    | KC_NO    | KC_NO     | KC_NO    | KC_NO         |                | KC_NO      | KC_NO    | KC_NO     | KC_NO     | KC_NO     | KC_NO     |
   `--------------------------------+----------+-----------+----------+---------------|                |------------+----------+-----------+-----------+-----------+-----------|
                                    | KC_NO    | KC_NO     | KC_NO    | KC_NO         |                | KC_NO      | KC_NO    | KC_NO     | KC_NO     | KC_NO     | KC_NO     |
   ,--------------------------------+----------+-----------+----------+---------------|  ,-------------+------------+----------+-----------+-----------+-----------+-----------|
   | KC_NO    | KC_NO    | KC_NO    | KC_NO    | KC_NO     | KC_NO    | KC_NO         |  | KC_RBRC     | KC_NO      | KC_NO    | KC_NO     | KC_NO     | KC_NO     | KC_NO     |
   |----------+----------+----------+----------+-----------+----------+---------------|  |-------------+------------+----------+-----------+-----------+-----------+-----------|
   | KC_NO    | KC_NO    | KC_NO    | KC_NO    | KC_NO     | KC_NO    | KC_NO         |  | KC_TRNS     | KC_TRNS    | KC_NO    | KC_NO     | KC_NO     | KC_NO     | KC_NO     |
   '----------------------------------------------------------------------------------`  '-------------------------------------------------------------------------------------`
```

## custom keycodes behaviour

|keycodes|actual input|behaviour|
|---|---|---|
|TAP_00|"00"|tap_code(KC_P0) twice|

## rotary encoder behaviour

|Encoder No.1|CW|CCW|
|---|---|---|
|BASE|KC_VOLU|KC_VOLD|
|FN1|rgblight_increse_hue()|rgblight_decrese_hue()|
|FN2|rgblight_increse_sat()|rgblight_decrese_sat()|

|Encoder No.2|CW|CCW|
|---|---|---|
|BASE|]|[|
|FN1|)|(|
|FN2|}|{|
